<?php

$table = "hlo_tila";
$file = "hlo_tila.php";

include "common.php";
include "hlo_tila-ok.php";

echo "
<html>
<head>
 <title>VIHA - Henkiln tilakoodit</title>
</head>
" . body_bgcolor() . "
<h1>Henkiln tilakoodien ksittely</h1>
";

hallinnolliset_linkit();

$id = get_nro_0('id');
$hlo_tila = get_txt('hlo_tila');
$suojattu = get_nro('suojattu');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');

oltava_sallittu("$file", $table, $id);

if (($add != '') && saa_tehda("$file:add")) {
  $ret = hlo_tila_add_ok($herja,$_SESSION[paivystys],$hlo_tila);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "
INSERT INTO $table
VALUES (0, $_SESSION[paivystys], '$hlo_tila', 0, '$now')
";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot listty.\n";
    $clear = "SISINEN";
    loki("$sql id=" . last_insert_id());
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

if (($save != '') && saa_tehda("$file:save")) {
  $ret = hlo_tila_save_ok($herja,$id,$_SESSION[paivystys],$hlo_tila);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "UPDATE hlo_tila SET hlo_tila='$hlo_tila', ts='$now' WHERE id=$id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot pivitetty.\n";
    $clear = "SISINEN";
    loki($sql);
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

if (($confirm != '') && saa_tehda("$file:confirm")) {
  $ret = hlo_tila_remove_ok($herja,$id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "DELETE FROM $table WHERE id = $id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot poistettu.\n";
    $clear = "SISINEN";
    loki("DELETE hlo_tila id=$id");
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

if ($clear != '') {
    $id = "0";
    $hlo_tila = '';
}

# readonly tells if the fields are readonly. if not, they are editable.
if ($remove != '') { $readonly = 1; } else { $readonly = 0; }

# removable tells if we can actually remove this record
if ($remove != '') {
  $removable = 0;
  $ret = hlo_tila_remove_ok($herja,$id);
  if ($ret != 2) {
    $removable = 1;
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

print "<form action=\"\" method=\"GET\">\n";
print "<p><table border=0>\n";

if ($id != "0") {
  $result = my_mysql_query("SELECT * FROM hlo_tila WHERE id = $id");
  $a = mysql_fetch_array($result);
  $hlo_tila = $a[hlo_tila];
  $suojattu = $a[suojattu];
  if ($suojattu) { $removable = 0; }
}

print "<tr><td>Id:";
if ($id == "0") {
  print "<td>(tehdn uusi)\n";
} else {
  print "<td>$id\n";
}
print "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
print " value=\"$id\">\n";

print "<tr><td>Tilakoodi:";
if ($readonly) {
  print "<td>$hlo_tila\n";
} else {
  print "<td><input type=\"text\" name=\"hlo_tila\" size=64 maxlength=64";
  print " value=\"$hlo_tila\">\n";
}

print "</table>\n";

if ($change != "") {
  echo "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($removable) {
    echo "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} else {
  echo "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

$result = my_mysql_query("
SELECT *
FROM $table
WHERE (paivystys_id = 0 OR paivystys_id = $_SESSION[paivystys])
ORDER BY hlo_tila
");
if ($result) {
    echo "<p><TABLE BORDER=1>\n";
    echo tr_bgcolor()
      . "<TH>Id<TH>Aikaleima<TH>Tilakoodi\n";
    while ($a = mysql_fetch_array($result)) {
      echo "<TR><TD>$a[id]", "<TD>$a[ts]", "<TD>$a[hlo_tila]";
      if (($id == "0") && ($a[id] != "1")) {
	if ($a[suojattu] == 0) {
	  echo
	    "<td><a href=\"hlo_tila.php?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
	  echo
	    "<td><a href=\"hlo_tila.php?id=$a[id]&remove=POISTA\">POISTA</a>\n";
	}
      }
    }
    echo "</TABLE>";
} else {
    echo "<P>Plop. Ei henkiln tilakoodeja.";
}

print "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: hlo_tila.php,v 1.7 2009/01/31 12:06:01 riku Exp $ -->
