<?php

include "common.php";

echo "
<html>
<head>
 <title>VIHA V$viha_versio - Psivu</title>
</head>
" . body_bgcolor() . "
";

echo "<h1>Viestin hallintajrjestelm VIHA</h1>\n";

echo "
<h2>Tilanteen seuranta</h2>
<ul>
<li><a href=\"tilanne.php\">Yleistilanne</a> (automaattisesti pivittyv).
<li><a href=\"tilanne-taysi.php\">
  Laaja tilanne: ryhmt, miehitykset ja kirjaukset</a>
<li><a href=\"tilanne-kalusto.php\">
  Laaja tilanne: kalusto</a>
<li><a href=\"lapset-taysi.php\">
  Laaja tilanne: kadonneet ja lytyneet henkilt</a>
<li><a href=\"taktinen-loki.php\">Tapahtumapivkirja</a>
</ul>
";

echo "
<h2>Rutiinipivitykset</h2>
<ul>
<li><a href=\"ryhma-takt.php\">Ryhmn pivitys</a>
  (sijainti, tila, tapahtumakirjaus ryhmlle)
<li><a href=\"hlo-takt.php\">Henkiln pivitys</a> (ryhm, tila, asema)
<li><a href=\"tap-takt.php\">Vapaamuotoinen tapahtumakirjaus</a>
<li><a href=\"hlo-oper.php\">Operaation miehittminen</a>
<li><a href=\"jarjesto-takt.php\">Jrjestjen hlytysryhmt</a>
<li><a href=\"laite-oper.php\">Operaation varustaminen</a>
<li><a href=\"kalusto-takt.php\">Ryhmien varustaminen</a>
</ul>
";

echo "
<h2>Kadonneet ja lytyneet henkilt</h2>
<ul>
<li><a href=\"kadonnut.php\">Kateissa olevat henkilt</a>
<li><a href=\"loytynyt.php\">Lytyneet henkilt</a>
</ul>
";

echo "
<h2>Hallinnolliset pivitykset ja selailu</h2>
<ul>
<li><a href=\"tap.php\">Tapahtumien kirjaus ja selailu</a>
<li><a href=\"hlo.php\">Henkilkohtaisten tietojen ksittely</a>
<li><a href=\"ryhma.php\">Ryhmkohtaisten tietojen ksittely</a>
<li><a href=\"verkko.php\">Radioverkot</a>
<li><a href=\"jarjesto.php\">Jrjestt</a>
<li><a href=\"laite.php\">Viestivlineet</a>
<li><a href=\"tavara.php\">Muu kalusto</a>
</ul>
";

if ($sallittu_paivystys == 0) {
  echo "
<h2>Operaatiot</h2>
<ul>
<li><a href=\"paivystys.php\">Operaation perustiedot</a>
<li><a href=\"paivystys-loppu.php\">Operaation lopettaminen</a>
<li><a href=\"kayttajat.php\">Kyttoikeustiedot</a>
</ul>
";
}

echo "
<h2>Guruille</h2>
<ul>
<li><a href=\"tarkasta-kanta.php\">Tietokannan tarkastus</a>
<li><a href=\"hlo_tila.php\">Henkiln tilakoodit</a>
<li><a href=\"hlo_asema.php\">Henkiln asemakoodit</a>
<li><a href=\"ryhma_tila.php\">Ryhmn tilakoodit</a>
<li><a href=\"paikka.php\">Sijaintikoodit (paikat)</a>
<li><a href=\"laite_tyyppi.php\">Viestivlineiden tyyppikoodit</a>
<li><a href=\"tavara_tyyppi.php\">Muun kaluston tyyppikoodit</a>
";
if ($sallittu_paivystys == 0) {
  echo "
<li><a href=\"tilanne0.php\">
  Kaikkien operaatioiden yleistilanne</a> (automaattisesti pivittyv).
<li><a href=\"hlo0.php\">
  Henkilkohtaisten tietojen ksittely ja henkiliden siirto operaatiosta
  toiseen</a>
<li><a href=\"ryhma0.php\">
  Ryhmkohtaisten tietojen ksittely ja ryhmien siirto operaatiosta
  toiseen</a>
<li><a href=\"kadonnut0.php\">
  Kateissa olevien henkiliden siirto operaatiosta toiseen</a>
<li><a href=\"loytynyt0.php\">
  Lytyneiden henkiliden siirto operaatiosta toiseen</a>
<li><a href=\"tap0.php\">
  Tapahtumakirjauksen ksittely ja siirto operaatiosta toiseen</a>
<li><a href=\"hlo_tila0.php\">
  Henkiliden tilakoodien ksittely ja siirto operaatiosta toiseen</a>
<li><a href=\"ryhma_tila0.php\">
  Ryhmien tilakoodien ksittely ja siirto operaatiosta toiseen</a>
<li><a href=\"paikka0.php\">
  Sijaintikoodien ksittely ja siirto operaatiosta toiseen</a>
<li><a href=\"laite0.php\">
  Viestivlineiden ksittely ja siirto operaatiosta toiseen</a>
<li><a href=\"tavara0.php\">
  Muun kaluston ksittely ja siirto operaatiosta toiseen</a>
<li><a href=\"tekninen-loki.php\">Tekninen loki</a>
";
}
echo "
</ul>
";

echo "
<h2>ViHa - ohjeita ja muita ohjelmistoon liittyvi dokumentteja</h2>
<ul>
<li><a href=\"ohje.html\">ViHa peruskyttjn ohje</a>
<li><a href=\"ohje-guru.html\">ViHa tehokyttjn ja yllpitjn ohje</a>
<li><a href=\"viha-esitys.odp\">ViHa yleisesitys (OpenOffice Impress .odp)</a>
<li><a href=\"viha-esitys.pdf\">ViHa yleisesitys (Adobe Reader .pdf)</a>
<li><a href=\"historia.txt\">ViHan pivityshistoria</a>
<li><a href=\"lisenssi.html\">ViHa - lisenssiehdot</a>
</ul>
";

$hak = "operaatio/$_SESSION[paivystys]";
if (file_exists($hak)) {
  $dir = opendir($hak);
  if ($dir) {
    echo "<h2>Operaatiokohtaista materiaalia</h2>\n<ul>\n";
    while (($file = readdir($dir)) !== FALSE) {
      if (is_file("$hak/$file") && is_readable("$hak/$file")) {
	echo "<li><a href=\"$hak/$file\">$file</a>\n";
      }
    }
    closedir($dir);
    echo "</ul>\n";
  }
 }
  
echo "
<hr>
";

echo "<p>Selaimesi pitisi asettaa hyvksymn
ViHa-palvelimesta tulevat evsteet (cookies).
";

$now = date('Y-m-d H:i:s');
echo "<p><small>
ViHa V$viha_versio ($viha_pvm) &copy; Riku Kalinen OH2RK, kyttj "
. remote_user() . ", IP $_SERVER[REMOTE_ADDR], sallittu operaatio "
. ota_yksi_0("SELECT nimi FROM paivystys WHERE id = $sallittu_paivystys",
	     $sallittu_paivystys, "kaikki operaatiot")
. ", valittu operaatio " . ota_paivystys_nimi()
. ", $now</small>
";

?>

</body> 
</html>

<!-- RCS $Id: index.php,v 1.41 2009/02/07 15:49:45 riku Exp $ -->
