<?php

$table = "ryhma";
$file = "ryhma-takt-1.php";

include "common.php";
include "ryhma-ok.php";
include "tap-ok.php";
include "hlo-ok.php";

echo "
<html>
<head>
 <title>VIHA - Ryhm</title>
</head>
" . body_bgcolor() . "
<h2>" . ota_paivystys_nimi() . ", ryhmkohtaisten tietojen pivitys</h2>
";

taktiset_linkit();

function paikat ($current_ryhma_id, $current_paikka_id)
{
  $sql1 = "
SELECT id,paikka
FROM paikka
WHERE id != $current_paikka_id
      AND (paivystys_id = 0 OR paivystys_id = $_SESSION[paivystys])
ORDER BY paikka
";
  $result1 = my_mysql_query ($sql1);
  while ($b = mysql_fetch_array($result1)) {
    echo "
<a href=\"$file?id=$current_ryhma_id&paikka_id=$b[id]\">
$b[paikka]</a>
";
  }
}

function ryhma_tilat ($current_ryhma_id, $current_ryhma_tila_id)
{
  $sql1 =
"SELECT id,ryhma_tila
 FROM ryhma_tila
 WHERE id != $current_ryhma_tila_id
 ORDER BY ryhma_tila";
  $result1 = my_mysql_query ($sql1);
  while ($b = mysql_fetch_array($result1)) {
    echo "
<a href=\"$file?id=$current_ryhma_id&ryhma_tila_id=$b[id]\">
$b[ryhma_tila]</a>
";
  }
}

$id = get_nro('id');
$ryhma_tila_id = get_nro('ryhma_tila_id');
$paikka_id = get_nro('paikka_id');
$koordinaatit = get_txt('koordinaatit');
$tap = get_txt('tap');

$save = get_txt('save');
$coord = get_txt('coord');
$combo = get_txt('combo');

oltava_sallittu($file, $table, $id);

# major magic - combo operations
if ($combo != "") {
  if ($combo == "VAPAANA") {
    $to_ryhma_tila = 2; $to_hlo_tila = 3;
    $to_selite = " vapaaksi ja siihen kuuluvat henkilt paikalle";
  } elseif ($combo == "KIINTEA") {
    $to_ryhma_tila = 9; $to_hlo_tila = 3;
    $to_selite = " kiinteksi ja siihen kuuluvat henkilt paikalle";
  } elseif ($combo == "TAUOLLA") {
    $to_ryhma_tila = 8; $to_hlo_tila = 4;
    $to_selite = " ja kaikki siihen kuuluvat henkilt tauolle";
  } elseif ($combo == "ALOITTAA") {
    $to_ryhma_tila = 11; $to_hlo_tila = 2;
    $to_selite =
      " aloittavaksi ja kaikki siihen kuuluvat henkilt tulossa oleviksi";
  } elseif ($combo == "LOPETTANUT") {
    $to_ryhma_tila = 12; $to_hlo_tila = 5;
    $to_selite =
      " lopettaneeksi ja kaikki siihen kuuluvat henkilt poistuneiksi";
  } else {
    die("$file: tuntamaton combo $combo");
  }
  if (saa_tehda("$file:combo")) {
    $ret1 = ryhma_set_ryhma_tila_id_ok($herja1,$id,$to_ryhma_tila);
    $ret2 = hlo_set_hlo_tila_id_by_ryhma_id_ok($herja2,$id,$to_hlo_tila);
    if (($ret1 != 2) && ($ret2 != 2)) {
      $now = date('Y-m-d H:i:s');
      $sql =
	"
UPDATE $table
SET ryhma_tila_id=$to_ryhma_tila, ts='$now'
WHERE id=$id
";
      $result = my_mysql_query ($sql);
      loki($sql);
      $sql =
	"UPDATE hlo SET hlo_tila_id=$to_hlo_tila, ts='$now' WHERE ryhma_id=$id";
      $result = my_mysql_query ($sql);
      echo "<p>Yhdistelmpivitys $combo tehty.\n";
      loki($sql);
      taktinen_loki(ota_kutsu($id) . $to_selite);
    }
    if ($ret1 != 0) {
      echo "<p>$herja1\n";
    }
    if ($ret2 != 0) {
      echo "<p>$herja2\n";
    }
  }
 }

if (($ryhma_tila_id != '') && saa_tehda("$file:ryhma_tila_id")) {
  $ret = ryhma_set_ryhma_tila_id_ok($herja,$id,$ryhma_tila_id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql =
      "UPDATE $table SET ryhma_tila_id=$ryhma_tila_id, ts='$now' WHERE id=$id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot pivitetty.\n";
    loki($sql);
    taktinen_loki(ota_kutsu($id)
		  . " "
		  . ota_ryhma_tila($ryhma_tila_id));
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
}

if (($paikka_id != '') && saa_tehda("$file:paikka_id")) {
  $ret = ryhma_set_ryhma_paikka_id_ok($herja,$id,$ryhma_paikka_id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "UPDATE $table SET paikka_id=$paikka_id, ts='$now' WHERE id=$id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot pivitetty.\n";
    loki($sql);
    taktinen_loki(ota_kutsu($id)
		  . ", sijainti on nyt "
		  . ota_paikka($paikka_id));
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
}

if (($coord != '') && saa_tehda("$file:koordinaatit")) {
  $ret = ryhma_set_ok($herja,$id);
  if ($ret != 2) {
    # jos koordinaatit ovat jo ennestn samat, hylk hiljaisesti
    $dup = ota_yksi("SELECT koordinaatit FROM $table WHERE id=$id");
    if ($dup != $koordinaatit) {
      $now = date('Y-m-d H:i:s');
      $sql = "
UPDATE $table
SET koordinaatit='$koordinaatit', ts='$now'
WHERE id=$id";
      $result = my_mysql_query ($sql);
      echo "<p>Koordinaatit asetettu: $koordinaatit\n";
      loki($sql);
      taktinen_loki(ota_kutsu($id)
		    . ": koordinaatit ovat nyt $koordinaatit");
    }
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
  # jos sytetn kirjaus ja painetaan enter, osutaan thn.
  # korjataan tilanne sisisell virityksell.
  if ($tap != '') { $save = "SISINEN"; }
}

# huom, save oltava coord:n jlkeen (maaginen riippuvuus)
if (($save != '') && saa_tehda("$file:save")) {
  $ret = tap_add_ok($herja,$id,$tap);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "INSERT INTO tap VALUES (0, $id, '$tap', '$now')";
    $result = my_mysql_query ($sql);
    loki("$sql id=" . last_insert_id());
    taktinen_loki(ota_kutsu($id)
		  . ": $tap");
    echo "<p>Kirjaus tehty: $tap\n";
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
}

echo "<form action=\"\" method=\"GET\">\n";

echo "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
echo " value=\"$id\">\n";

$sql = "
SELECT kutsu,ryhma_tila_id,paikka_id,ryhma_tila,paikka,koordinaatit,verkko
FROM $table,ryhma_tila,paikka,verkko
WHERE ryhma.id = $id AND ryhma_tila.id = ryhma_tila_id
      AND paikka.id = paikka_id
      AND verkko.id = verkko_id
      AND ($table.paivystys_id = $_SESSION[paivystys]
           OR $table.paivystys_id = 0)
";
$result = my_mysql_query($sql);
$a = mysql_fetch_array($result);
$kutsu = $a[kutsu]; $ryhma_tila_id = $a[ryhma_tila_id];
$paikka_id = $a[paikka_id];
$ryhma_tila = $a[ryhma_tila]; $paikka = $a[paikka];
$koordinaatit = $a[koordinaatit];
$verkko = $a[verkko];

echo "<table border=0>\n";
echo "<tr><td>Oletusverkko:<td>" . ota_oletus_verkko() . "\n";
echo "<tr><td>Kutsu:<td>$kutsu" . muotoile_verkko($verkko, $id) . "\n";
echo tr_bgcolor() . "<th><th>Nykyinen<th>Pivitysvaihtoehdot";
echo "<tr><td>Tila:<td" . bgcolor_vaalsin() . ">$ryhma_tila<td>";
ryhma_tilat ($id, $ryhma_tila_id);
echo "<tr><td>Sijainti:<td" . bgcolor_vaalsin() . ">$paikka<td>";
paikat ($id, $paikka_id);
echo "<tr><td><td>Koordinaatit";
echo "<td><input type=\"text\" name=\"koordinaatit\" size=8 maxlength=8\n";
echo " value=\"$koordinaatit\">\n";
echo "<input type=\"submit\" name=\"coord\" value=\"ASETA KOORDINAATIT\">\n";
echo "<tr><td><td>Kirjaus";
echo "<td><input type=\"text\" name=\"tap\" size=64 maxlength=255\n";
echo " value=\"\">\n";
echo "<input type=\"submit\" name=\"save\" value=\"TEE KIRJAUS\">\n";

echo "</table>\n";

echo "<h2>Pivitysyhdistelmt (combot)</h2>";

echo "<table>
<tr><th>Yhdistelm<th>Selitys
<tr>
  <td><a href=\"$file?combo=VAPAANA&id=$id\">
    <font color=green>Vapaaksi<font></a>
  <td>Merkitse tm ryhm vapaaksi ja kaikki siihen kuuluvat henkilt paikalle.
<tr>
  <td><a href=\"$file?combo=KIINTEA&id=$id\">
    <font color=green>Kiinteksi<font></a>
  <td>Merkitse tm ryhm kiinteksi ja kaikki siihen kuuluvat henkilt
    paikalle.
<tr>
  <td><a href=\"$file?combo=TAUOLLA&id=$id\"><font color=blue>Tauolle<font></a>
  <td>Merkitse tm ryhm ja kaikki siihen kuuluvat henkilt tauolle.
<tr>
  <td><a href=\"$file?combo=ALOITTAA&id=$id\">
    <font color=blue>Aloittavaksi<font></a>
  <td>Merkitse tm ryhm aloittavaksi ja kaikki siihen kuuluvat henkilt
    tulossa oleviksi.
<tr>
  <td><a href=\"$file?combo=LOPETTANUT&id=$id\">
    <font color=blue>Lopettaneeksi<font></a>
  <td>Merkitse tm ryhm lopettaneeksi ja kaikki siihen kuuluvat henkilt
    poistuneiksi.
</table>";

echo "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: ryhma-takt-1.php,v 1.8 2009/02/02 20:25:34 riku Exp $ -->
