<?php

$table = "ryhma";
$file = "ryhma0.php";

include "common.php";
include "ryhma-ok.php";

echo "
<html>
<head>
 <title>VIHA - Ryhmtiedot</title>
</head>
" . body_bgcolor() . "
<h1>Ryhmkohtaisten tietojen ksittely ja ryhmien siirto operaatiosta
    toiseen</h1>
";

hallinnolliset_linkit();

$id = get_nro_0('id');
$paivystys_id = get_nro_1('paivystys_id');
$paikka_id = get_nro_1('paikka_id');
$koordinaatit = get_txt('koordinaatit');
$ryhma_tila_id = get_nro_1('ryhma_tila_id');
$verkko_id = get_nro_1('verkko_id');
$pri = get_nro('pri');
if ($pri == '') { $pri = 1000; }
$kutsu = get_txt('kutsu');
$puhelin = get_txt('puhelin');
$selite = get_txt('selite');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');

oltava_0($file);

if (($add != '') && saa_tehda("$file:add")) {
  $ret = ryhma_add_ok($herja,$paivystys_id,$paikka_id,$ryhma_tila_id,
		      $verkko_id,$kutsu);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "
INSERT INTO $table
VALUES (0, $paivystys_id, $paikka_id, '$koordinaatit', $ryhma_tila_id, $pri,
        $verkko_id, '$kutsu', '$puhelin', '$selite', '$now')
";
    $result = my_mysql_query ($sql);
    print "<p>Tiedot listty.\n";
    $clear = "SISINEN";
    loki("$sql id=" . last_insert_id());
    taktinen_loki("Listty ryhm $kutsu verkkoon "
		  . ota_verkko($verkko_id)
		  . ", sijainti "
		  . ota_paikka($paikka_id)
		  . ", tila "
		  . ota_ryhma_tila($ryhma_tila_id)
		  . ", selite $selite");
  }
  if ($ret != 0) {
    echo "<p>$herja";
  }
} # add

if (($save != '') && saa_tehda("$file:save")) {
  $ret = ryhma_save_ok($herja,$id, $paivystys_id,$paikka_id,$ryhma_tila_id,
			 $verkko_id,$kutsu);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "
UPDATE $table
SET paivystys_id=$paivystys_id, paikka_id=$paikka_id,
    koordinaatit='$koordinaatit',
    ryhma_tila_id=$ryhma_tila_id, pri=$pri, verkko_id=$verkko_id,
    kutsu='$kutsu',puhelin='$puhelin', selite='$selite', ts='$now'
WHERE id=$id
";
    $result = my_mysql_query ($sql);
    print "<p>Tiedot pivitetty.\n";
    $clear = "SISINEN";
    loki($sql);
    taktinen_loki("Muutettu ryhm $kutsu, sijainti "
		  . ota_paikka($paikka_id)
		  . ", tila "
		  . ota_ryhma_tila($ryhma_tila_id));
  }
  if ($ret != 0) {
    echo "<p>$herja";
  }
} # save

if (($confirm != '') && saa_tehda("$file:confirm")) {
  $ret = ryhma_remove_ok($herja,$id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    taktinen_loki("Poistetaan ryhm " . ota_kutsu($id));
    $sql = "DELETE FROM $table WHERE id = $id";
    $result = my_mysql_query ($sql);
    print "<p>Tiedot poistettu.\n";
    $clear = "SISINEN";
    loki($sql);
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
}

if ($clear != '') {
  $id = "0";
  $paivystys_id = "1";
  $paikka_id = "1";
  $koordinaatit = '';
  $ryhma_tila_id = "1";
  $kutsu = '';
  $pri = "1000";
  $puhelin = '';
  $selite = '';
}

# readonly tells if the fields are readonly. if not, they are editable.
if ($remove != '') { $readonly = 1; } else { $readonly = 0; }

# removable tells if we can actually remove this record
if ($remove != '') {
  $removable = 0;
  $ret = ryhma_remove_ok($herja,$id);
  if ($ret != 2) {
    $removable = 1;
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
}

print "<form action=\"\" method=\"GET\">\n";
print "<p><table border=0>\n";

if ($id != "0") {
  $result = my_mysql_query("SELECT * FROM $table WHERE id = $id");
  $a = mysql_fetch_array($result);
  $paivystys_id = $a[paivystys_id];
  $paikka_id = $a[paikka_id];
  $koordinaatit = $a[koordinaatit];
  $ryhma_tila_id = $a[ryhma_tila_id];
  $pri = $a[pri]; $verkko_id = $a[verkko_id]; $kutsu = $a[kutsu];
  $puhelin = $a[puhelin]; $selite = $a[selite]; 
}

print "<tr><td>Id:";
if ($id == "0") {
  print "<td>(tehdn uusi)\n";
} else {
  print "<td>$id\n";
}
print "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
print " value=\"$id\">\n";

print "<tr><td>Operaatio:";
if ($readonly) {
  print "<td>"
    . ota_yksi_0("SELECT nimi FROM paivystys WHERE id = $paivystys_id",
		 $paivystys_id, "KAIKKI")
    . "\n";
} else {
  print "<td>\n";
  tee_valinta_plus_0("paivystys_id", $paivystys_id, "paivystys", "id",
		     "nimi", "", "KAIKKI");
}

print "<tr><td>Sijainti:";
if ($readonly) {
  print "<td>"
    . etsi_teksti("paikka_id", $paikka_id, "paikka", "id", "paikka") . "\n";
} else {
  print "<td>\n";
  tee_valinta_plus_paivystys("paikka_id", $paikka_id, "paikka", "id",
			     "paikka", "ORDER BY paikka");
}

print "<tr><td>Koordinaatit:";
if ($readonly) {
  print "<td>$koordinaatit\n";
} else {
  print "<td><input type=\"text\" name=\"koordinaatit\" size=8 maxlength=8";
  print " value=\"$koordinaatti\">\n";
  print " Kartasta, muodossa X99\n";
}

print "<tr><td>Tila:";
if ($readonly) {
  print "<td>" . etsi_teksti("ryhma_tila_id", $ryhma_tila_id, "ryhma_tila",
			     "id", "ryhma_tila") . "\n";
} else {
  print "<td>\n";
  tee_valinta("ryhma_tila_id", $ryhma_tila_id, "ryhma_tila", "id",
	      "ryhma_tila", "ORDER BY ryhma_tila");
}

print "<tr><td>Prioriteetti:";
if ($readonly) {
  print "<td>$pri\n";
} else {
  print "<td><input type=\"text\" name=\"pri\" size=8 maxlength=8";
  print " value=\"$pri\">\n";
  print " Listauksia varten, pienempi prioriteetti listataan ensin.\n";
}

print "<tr><td>Verkko:";
if ($readonly) {
  print "<td>"
    . etsi_teksti("verkko_id", $verkko_id, "verkko", "id", "verkko") . "\n";
} else {
  print "<td>\n";
  tee_valinta("verkko_id", $verkko_id, "verkko", "id", "verkko",
	      "ORDER BY verkko");
}

print "<tr><td>Kutsu:";
if ($readonly) {
  print "<td>$kutsu\n";
} else {
  print "<td><input type=\"text\" name=\"kutsu\" size=64 maxlength=64";
  print " value=\"$kutsu\">\n";
}

print "<tr><td>Puhelin:";
if ($readonly) {
  print "<td>$puhelin\n";
} else {
  print "<td><input type=\"text\" name=\"puhelin\" size=32 maxlength=32";
  print " value=\"$puhelin\">\n";
}

print "<tr><td>Selite:";
if ($readonly) {
  print "<td>$selite\n";
} else {
  print "<td><input type=\"text\" name=\"selite\" size=64 maxlength=132";
  print " value=\"$selite\">\n";
}

print "</table>\n";

if ($change != "") {
  print "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  print "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($removable) {
    echo
      "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  print "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} else {
  print "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  print "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

$sql = "
SELECT ryhma.id,ryhma.paivystys_id,paikka,koordinaatit,ryhma_tila,pri,
       verkko,kutsu,puhelin,ryhma.selite,ryhma.ts
FROM ryhma,paikka,ryhma_tila,verkko
WHERE ryhma_tila_id = ryhma_tila.id AND paikka_id = paikka.id
      AND verkko_id = verkko.id
ORDER BY paivystys_id,pri
";
$result = my_mysql_query($sql);
if ($result) {
  echo "<p><TABLE BORDER=1>\n";
  echo tr_bgcolor()
    . "<TH>Id<TH>Aikaleima<TH>Operaatio<TH>Sijainti [K]<TH>Tila<TH>Pri"
    . "<TH>Verkko<TH>Kutsu<TH>Puhelin<TH>Selite\n";
  while ($a = mysql_fetch_array($result)) {
    echo "<TR><TD>$a[id]", "<TD>$a[ts]",
      "<TD>"
      . ota_yksi_0 ("SELECT nimi FROM paivystys WHERE id = $a[paivystys_id]",
		    $a[paivystys_id], "KAIKKI"),
      "<TD>$a[paikka]", muotoile_koordinaatit($a[koordinaatit]),
      "<TD>$a[ryhma_tila]",
      "<TD>$a[pri]",
      "<TD>$a[verkko]",
      "<TD>$a[kutsu]", "<TD>$a[puhelin]", "<TD>$a[selite]";
    if (($id == "0") && ($a[id] != "1")) {
      echo "<td><a href=\"$file?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
      echo "<td><a href=\"$file?id=$a[id]&remove=POISTA\">POISTA</a>\n";
    }
  }
  echo "</TABLE>";
} else {
  echo "<P>Plop. Ei ryhmtietoja.";
}

print "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: ryhma0.php,v 1.5 2009/01/31 11:06:03 riku Exp $ -->
