<?php

$table = "ryhma_tila";

include "common.php";
$file = "ryhma_tila0.php";

echo "
<html>
<head>
 <title>VIHA - Ryhmn tilakoodit</title>
</head>
" . body_bgcolor() . "
<h1>Ryhmn tilakoodien ksittely ja siirto operaatiosta toiseen</h1>
";

hallinnolliset_linkit();

$id = get_nro_0('id');
$paivystys_id = get_nro_1('paivystys_id');
$ryhma_tila = get_txt('ryhma_tila');
$suojattu = get_txt('suojattu');

$add = get_txt('add');
$clear = get_txt('clear');
$save = get_txt('save');
$confirm = get_txt('confirm');
$change = get_txt('change');
$remove = get_txt('remove');

oltava_0($file, $table, $id);

if (($add != '') && saa_tehda("$file:add")) {
  $ret = ryhma_tila_add_ok($herja,$paivystys_id,$ryhma_tila);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "
INSERT INTO $table
       VALUES (0, $paivystys_id, '$ryhma_tila', 0, '$now')
";
    $result = my_mysql_query ($sql);
    $clear = "SISINEN";
    loki("$sql id=" . last_insert_id());
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

if (($save != '') && saa_tehda("$file:save")) {
  $ret = ryhma_tila_save_ok($herja,$id,$paivystys_id,$ryhma_tila);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    # Jos on ryhmi, joilla on tm tilakoodi ja toinen pivystyskoodi,
    # muuta ne
    $paivitettavat_ryhmat = ota_yksi ("
SELECT COUNT(*)
FROM ryhma
WHERE ryhma_tila_id = $id
      AND paivystys_id != $paivystys_id AND paivystys_id != 0
");
    if ($paivitettavat_ryhmat > 0) {
      $sql1 = "
UPDATE ryhma
SET ryhma_tila_id = 1
WHERE ryhma_tila_id = $id
      AND paivystys_id != $paivystys_id AND paivystys_id != 0
";
      $result1 = my_mysql_query($sql1);
      loki($sql1);
    }
    $sql = "
UPDATE $table
SET paivystys_id=$paivystys_id, ryhma_tila='$ryhma_tila', ts='$now'
WHERE id=$id
";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot pivitetty.\n";
    if ($paivitettavat_ryhmat > 0) {
      echo " Mys $paivitettavat_ryhmat ryhmn tietoja muutettu.";
    }
    $clear = "SISINEN";
    loki($sql);
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 } # save

if (($confirm != '') && saa_tehda("$file:confirm")) {
  $ret = ryhma_tila_remove_ok($herja,$id);
  if ($ret != 2) {
    $now = date('Y-m-d H:i:s');
    $sql = "DELETE FROM $table WHERE id = $id";
    $result = my_mysql_query ($sql);
    echo "<p>Tiedot poistettu.\n";
    $clear = "SISINEN";
    loki($sql);
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }
if ($clear != '') {
  $id = "0";
  $paivystys_id = 1;
  $ryhma_tila = '';
}

# readonly tells if the fields are readonly. if not, they are editable.
if ($remove != '') { $readonly = 1; } else { $readonly = 0; }

# removable tells if we can actually remove this record
if ($remove != '') {
  $removable = 0;
  $ret = ryhma_tila_remove_ok($herja,$id);
  if ($ret != 2) {
    $removable = 1;
  }
  if ($ret != 0) {
    echo "<p>$herja\n";
  }
 }

echo "<form action=\"\" method=\"GET\">\n";
echo "<p><table border=0>\n";

if ($id != "0") {
  $result = my_mysql_query("SELECT * FROM $table WHERE id = $id");
  $a = mysql_fetch_array($result);
  $paivystys_id = $a[paivystys_id];
  $ryhma_tila = $a[ryhma_tila];
  $suojattu = $a[suojattu];
  if ($suojattu == 1) { $readonly = 1; }
 }		  

echo "<tr><td>Id:";
if ($id == "0") {
  echo "<td>(tehdn uusi)\n";
} else {
  echo "<td>$id\n";
}
echo "<td><input type=\"hidden\" name=\"id\" size=8 maxlength=8";
echo " value=\"$id\">\n";

echo "<tr><td>Operaatio:";
if ($readonly) {
  echo "<td>"
  . ota_yksi_0("SELECT nimi FROM paivystys WHERE id = $paivystys_id",
	       $paivystys_id, "KAIKKI")
  . "\n";
} else {
  echo "<td>\n";
  tee_valinta_plus_0("paivystys_id", $paivystys_id, "paivystys", "id",
		     "nimi", "", "KAIKKI");
}

echo "<tr><td>Tilakoodi:";
if ($readonly) {
  echo "<td>$ryhma_tila\n";
} else {
  echo "<td><input type=\"text\" name=\"ryhma_tila\" size=64 maxlength=64";
  echo " value=\"$ryhma_tila\">\n";
}

echo "</table>\n";

if ($change != "") {
  echo "<input type=\"submit\" name=\"save\" value=\"TALLENNA\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} elseif ($remove != "") {
  if ($removable) {
    echo "<input type=\"submit\" name=\"confirm\" value=\"VAHVISTA POISTO\">\n";
  }
  echo "<input type=\"submit\" name=\"clear\" value=\"PERUUTA\">\n";
} else {
  echo "<input type=\"submit\" name=\"add\" value=\"LIS\">\n";
  echo "<input type=\"submit\" name=\"clear\" value=\"TYHJENN\">\n";
}

$result = my_mysql_query("
SELECT *
FROM $table
ORDER BY paivystys_id,ryhma_tila
");
if ($result) {
  echo "<p><TABLE BORDER=1>\n";
  echo tr_bgcolor()
  . "<TH>Id<TH>Aikaleima<TH>Operaatio<TH>Tilakoodi\n";
  while ($a = mysql_fetch_array($result)) {
    echo "<TR><TD>$a[id]", "<TD>$a[ts]",
  "<TD>" . ota_yksi_0 ("SELECT nimi FROM paivystys WHERE id = $a[paivystys_id]",
		       $a[paivystys_id], "KAIKKI"),
  "<TD>$a[ryhma_tila]";
    if (($id == "0") && ($a[id] != "1")) {
      if ($a[suojattu] == 0) {
	echo "<td><a href=\"$file?id=$a[id]&change=MUUTA\">MUUTA</a>\n";
	echo "<td><a href=\"$file?id=$a[id]&remove=POISTA\">POISTA</a>\n";
      }
    }
  }
  echo "</TABLE>";
} else {
  echo "<P>Plop. Ei ryhmn tilakoodeja.";
}

echo "</form>\n";

loppu();

?>
</body> 
</html>
<!-- RCS $Id: ryhma_tila0.php,v 1.6 2009/01/31 12:58:17 riku Exp $ -->
